[B040] Target basic information

get
https://connect.patsnap.com/synapse/target/detail
Try in Sandbox

Obtain Target basic information about name, short name, alias etc.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
target_id
Required
string9786d32e3d244a688ec6a60d2fe1b10b
Target ID, obtain this through the target autocomplete interface

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
alias
array[ { "lang": "EN", "name": "CD279" } ]
Target Alias
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
profile
array[ { "lang": "EN", "name": "Inhibitory receptor on antigen activated T-cells " } ]
Profile
target_id
string3cbd7b503dd84de6b6d150c6143989fb
Target ID
short_name
array[ { "lang": "EN", "name": "PD-1" } ]
Target Short Name
uniprot_id
array[ "Q15116" ]
UniProt ID
target_name
array[ { "lang": "EN", "name": "Programmed cell death protein 1" } ]
Target Name
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "alias": [
      {
        "lang": "EN",
        "name": "Ranibizumab (Genentech)"
      }
    ],
    "profile": [
      {
        "lang": "EN",
        "name": "Ranibizumab (Genentech)"
      }
    ],
    "target_id": "3cbd7b503dd84de6b6d150c6143989fb",
    "short_name": [
      {
        "lang": "EN",
        "name": "Ranibizumab (Genentech)"
      }
    ],
    "uniprot_id": [
      "Q15116"
    ],
    "target_name": [
      {
        "lang": "EN",
        "name": "Ranibizumab (Genentech)"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms